<!-- (SPDX-License-Identifier: CC-BY-4.0) -->  <!-- Ensure there is a newline before, and after, this line -->

## Incubation


### Minimum requirements
 - Legal

   - All code has been made available under the Apache License and is free of incompatible dependencies

    - [License scans, and audits](https://wiki.hyperledger.org/display/explorer/Audits)

 - Project name has been checked for trademark issues

   - Hyperledger Explorer

    - Hyperledger Explorer follows [Hyperledger Trademark Usage Guidelines](https://www.hyperledger.org/trademark-usage)

 - Community support

 - The project has active and diverse set of contributing members representing various constituencies

   - [Contributors](https://github.com/hyperledger/blockchain-explorer/blob/main/MAINTAINERS.rst)

 - Hyperledger Explorer project is not highly dependent on any single contributor, current contributors are from DTCC, and Fujitsu.

 - Release plans are developed and executed in public by the community, the latest tag is v0.3.9.4.

- Sufficient test coverage

 - The project include a comprehensive unit and integration test suite configured at:
   [Selenium test](https://github.com/hyperledger/blockchain-explorer/blob/main/client/e2e-setup.sh), and
   [BDD test](https://github.com/hyperledger/blockchain-explorer/tree/main/app/platform/fabric/e2e-test) and are triggered during the CI/CD builds.
 - Code coverage is setup in both [frontend](https://github.com/hyperledger/blockchain-explorer/blob/main/client/package.json#L58) and [back-end](https://github.com/hyperledger/blockchain-explorer/blob/main/app/test/package.json#L24).

 - [Coverage report example](https://jenkins.hyperledger.org/view/blockchain-explorer/job/blockchain-explorer-merge-x86_64/Code_20Coverage_20Report/) available after each build.

 - The project uses use the [Hyperledger standard release taxonomy](https://docs.google.com/document/d/1Vap2giuxQw5b82Htl6BxRzLztrR4JGd2tWkJKP7i5Es/edit).
 - Sufficient user documentation

   - [User documentation](https://github.com/hyperledger/blockchain-explorer/blob/main/README.md)


## Infrastructure

 - [Team code collaboration tool](https://github.com/hyperledger/blockchain-explorer)
 - [Hyperledger Explorer Repository](https://github.com/hyperledger/blockchain-explorer)

- Mailing lists have been created and are archived

 - [Mailing list](https://lists.hyperledger.org/g/explorer)

- Other communication means used, such as slack channels, are set up

 - Hyperledger Explorer [wiki](https://wiki.hyperledger.org/display/explorer/Hyperledger+Explorer)
 - [Rochet chat hyperledger-explorer](https://chat.hyperledger.org/channel/hyperledger-explorer)
 - [Rochet chat developer channel](https://chat.hyperledger.org/channel/hlexplorer-developers)

## Continuous Integration

 - [CI/CD](https://dev.azure.com/Hyperledger/blockchain-explorer)
 - [CONTRIBUTING.md](https://github.com/hyperledger/blockchain-explorer/blob/main/CONTRIBUTING.md)
 - [MAINTAINERS.rst](https://github.com/hyperledger/blockchain-explorer/blob/main/MAINTAINERS.rst)

## CII Badge

 - [Core Infrastructure Initiative (CII) badge](https://bestpractices.coreinfrastructure.org/en/projects/2710)

